.contentSlide{
    border-radius: 15px;
    
    position: relative;
    display: flex;
    overflow-x: hidden;
    overflow-y: hidden;
}

.contentSlide .arrows{
    opacity: 0;
    transition: 0.25s;
}
.contentSlide:hover > .arrows{
    opacity: 1;
}

.contentSlide .arrows .leftArrow, .contentSlide .arrows .rightArrow{
    height: 15%;
    aspect-ratio: 1/1;
    border-radius: 100%;
    background-color: rgba(0,0,0,0.5);
    display: flex;
    position: absolute;

    top: calc(50% - 10%);
    user-select: none;
}

.contentSlide .arrows .leftArrow:hover, .contentSlide .arrows .rightArrow:hover{
    cursor: pointer;
}

.contentSlide .arrows .leftArrow:active, .contentSlide .arrows .rightArrow:active{
    opacity: 0.75;
}

.contentSlide .arrows .leftArrow{
    left: 30px;
}

.contentSlide .arrows .rightArrow{
    right: 30px;
}

.contentSlide .arrows .leftArrow .arrow{
    height: 50%;
    width: 50%;
    margin: auto;
    background-image: url(../icons/left-arrow.svg);
    background-size: cover;
}

.contentSlide .arrows .rightArrow .arrow{
    height: 50%;
    width: 50%;
    margin: auto;
    background-image: url(../icons/right-arrow.svg);
    background-size: cover;
}

.contentSlide .contentSlideContent{
    
    width: 100%;
    height: 100%;
    
    transform: translateX(0%);
    position: absolute;

    transition: 0.5s;
}

.contentSlide .contentSlideContent.leftShifted:not(.rightShifted){
    transform: translateX(-100%);
}

.contentSlide .contentSlideContent.rightShifted{
    transform: translateX(100%);
}